2021-11-06  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl-allns.el (lll-kubectl-allns-ingress): List ingresses and services in all namespaces

2021-11-06  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl.el (lll-kubectl): Ingress implementation

	* src/lll-kubectl-deployment.el (lll-kubectl-deployment-parse): Print age in hours and green status

	* src/lll-kubectl-pod.el (lll-kubectl-pod-parse): Print pod age in hours

	* src/lll-kubectl.el (lll-kubectl-age2hours): Convert age value to hours

2021-11-03  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl-allns.el (lll-kubectl-allns): All namespaces actions

	* src/lll-kubectl.el (lll-kubectl): Add transient for all namespaces actions

2021-11-02  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl.el (lll-kubectl): Services, DaemonSets, ReplicaSets and StatefulSets

2021-11-01  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl.el (lll-kubectl-heading): Show arguments in actions heading.

	* src/lll-kubectl-pod.el (lll-kubectl-pod-forward): Port-forward implementation.

2021-10-31  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl.el (lll-kubectl-pvc): Persistent Volumes and P.V. Claims resources implementation.

	* src/lll-kubectl-pod.el (lll-kubectl-pod-term): Open terminal in pod.

2021-10-30  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl-dummy.el (lll-kubectl-dummy-log): Add resource in logs command.

	* src/lll-kubectl.el (lll-kubectl): Add Deployment option.

	* src/lll-kubectl-deployment.el: Deployment resources implementation.

	* src/lll-kubectl-node.el: Node resources implementation.

	* src/lll-kubectl-config.el: Add copyright header.

	* src/lll-kubectl-dummy.el: Template file for new implementations of resources.

	* src/lll-kubectl-pod.el: Add copyright header.

	* src/lll-kubectl-secret.el (lll-kubectl-secret-mode): Fix column size.

	* src/lll-kubectl.el: Add copyright header. Add Nodes and Secrets options.

2021-10-16  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl-config.el (lll-kubectl-config-pod-all): List ALL pods in config.

	* src/lll-kubectl-pod.el (lll-kubectl-pod): Parse arguments for commands.

	* src/lll-kubectl.el (lll-kubectl-arguments): Read arguments (namespace and kubeconfig).

2021-10-10  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl-config.el (lll-kubectl-config-status-face): Current context faces.

	* src/lll-kubectl-pod.el (lll-kubectl-pod-status-face): Pod status faces.

	* src/lll-kubectl.el (lll-kubectl-face-status-up): Set status faces.

2021-10-03  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl-config.el: Context management

	* src/lll-kubectl-pod.el (lll-kubectl-pod-describe): Get namespace and pod name from selected pods
	(lll-kubectl-pod-parse): Standarize entry lines parse process checking length

2021-09-28  Luis L. Lazaro  <lll@luislain.com>

	* src/lll-kubectl.el (lll-kubectl): kubectl transient command

